This node set includes nodes for sending and receiving Art-Net messages, and for discovering available Art-Net devices.

Art-Net is a protocol for controlling stage lighting systems.  Typically a computer communicates via ethernet with a device that converts Art-Net to/from a DMX512 signal, which is then connected to individual light fixtures, dimmers, or controllers.


## Art-Net protocol support

Vuo supports the following aspects of the Art-Net protocol:

   - Sending and receiving ArtDmx, on any of the 32,768 Net/Sub-Net/Universe combinations
   - Sending and receiving ArtPoll messages, to identify available devices on the network


## Configuring your network for Art-Net

Art-Net uses IP Subnet 10.0.0.0/8 (network 10.0.0.0, mask 255.0.0.0, broadcast 10.255.255.255).  <small>(Art-Net can also use the 2.0.0.0/8 IP subnet, but since, as of September 2009, this subnet has been allocated for public Internet use, Vuo does not transmit on it.)</small>

In order to send and receive Art-Net messages, configure your network interface as follows:

   - Open System Preferences, and select Network
   - Click the + in the bottom left corner
      - Under "Interface", choose the physical interface to which the Art-Net device is connected ("Wi-Fi" or "Ethernet")
      - Give it a name, perhaps "Art-Net"
      - Click Create
   - Click Advanced…
      - Select the TCP/IP tab
      - Under "Configure IPv4", select "Manually"
      - Under "IPv4 Address", enter an unused IP on the 10.0.0.0/8 subnet — for example, `10.0.0.1`
      - Under "Subnet Mask", enter `255.0.0.0`
      - Click OK


## Troubleshooting

   - Art-Net uses the fast-but-unreliable UDP network protocol, so, to maximize performance, use it on a local wired network that's isolated from other traffic (e.g., Internet or local file transfers).
   - Some Art-Net-to-DMX512 converters fail to negotiate a network link when directly connected to a Mac ethernet port.  Try connecting your Mac's ethernet port to a 10/100 switch, the connect the 10/100 switch to the Art-Net-to-DMX512 converter.
