Creates a shader from GLSL source code with support for some special uniform values.

[Shadertoy](http://www.shadertoy.com) is a website that allows developers to write and share small C programs called [Fragment Shaders](https://www.opengl.org/wiki/Fragment_Shader) that render 3d graphics to a screen.

Shadertoy provides some special `uniform` values that are exposed as port values on the node.

- `Global Time` - The current time that is passed to the shader.  Usually you'll want to hook up a `Render Scene to Window` `Requested Frame` output to this port.
- `Channel {0-3}` - An image to be used in the corresponding shader iChannel uniform.
- `Window` - The window that this shader will be rendering to.  This is used to calculate mouse position and screen size.  If left empty, the entire screen will be used for these calculations.

All Shadertoy specific inputs are supported, excepting using audio in the `iChannel` ports.

### Troubleshooting
If your screen is blank, the shader may contain an error.  In the event that a shader fails compilation, Vuo will print the error to the Console app.
